Bug 1459970 - Released ISO's fail to boot under VMware [NEEDINFO]
Released ISO's fail to boot under VMware
Status: NEW
Product: Fedora
Classification: Fedora
Component: kernel (Show other bugs)
26
Unspecified Unspecified
unspecified Severity unspecified
: ---
: ---
Assigned To: Kernel Maintainer List
Fedora Extras Quality Assurance
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2017-06-08 13:19 EDT by Jerry Amundson
Modified: 2018-05-03 04:16 EDT (History)
17 users (show)

See Also:
Fixed In Version:
Doc Type: If docs needed, set a value
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed:
Type: Bug
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---
labbott: needinfo? (jamundso)


Attachments (Terms of Use)
Console screen capture (15.17 KB, image/png)
2017-06-08 13:19 EDT, Jerry Amundson
no flags Details
c1 (15.92 KB, image/png)
2017-06-08 14:07 EDT, Jerry Amundson
no flags Details
c2 (17.98 KB, image/png)
2017-06-08 14:07 EDT, Jerry Amundson
no flags Details
c3 (13.86 KB, image/png)
2017-06-08 14:08 EDT, Jerry Amundson
no flags Details
From video (526.68 KB, image/png)
2017-06-08 15:15 EDT, Jerry Amundson
no flags Details
Machine settings in VMware (56.26 KB, image/png)
2017-06-08 17:40 EDT, Jerry Amundson
no flags Details

  None (edit)
Description Jerry Amundson 2017-06-08 13:19:23 EDT
Created attachment 1286195 [details]
Console screen capture

Description of problem:
Released ISO's fail to boot under VMware

Version-Release number of selected component (if applicable):
Fedora 26

How reproducible:
Always

Steps to Reproduce:
1. Create VMware virtual machine
2. Boot the VM from the downloaded Fedora 26 ISO
3.

Actual results:
Booting stops.

Expected results:
Booted system

Additional info:
Comment 1 Zbigniew Jędrzejewski-Szmek 2017-06-08 13:27:39 EDT
Can you boot with printk.devkmsg=on, so that we get more information?
Comment 2 Jerry Amundson 2017-06-08 14:07 EDT
Created attachment 1286203 [details]
c1
Comment 3 Jerry Amundson 2017-06-08 14:07 EDT
Created attachment 1286204 [details]
c2
Comment 4 Jerry Amundson 2017-06-08 14:08 EDT
Created attachment 1286205 [details]
c3
Comment 5 Jerry Amundson 2017-06-08 14:09:52 EDT
Most recent test is with Fedora-Server-dvd-x86_64-26-20170605.n.0.iso and printk.devkmsg=on
Comment 6 Zbigniew Jędrzejewski-Szmek 2017-06-08 14:37:38 EDT
Hm, those screenshots are after the boot has already failed, so they don't show the reason for the crash.

Unfortunately I can't get virtualbox to work (the kernel module does not compile with my kernel version, and I can't change it now). I'll try later on my laptop at home. https://fedoraproject.org/wiki/Test_Results:Fedora_26_Beta_1.4_Installation?rd=Test_Results:Current_Installation_Test does not show any test results in virtualbox, so it's possible that it's broken.
Comment 7 Jerry Amundson 2017-06-08 14:59:56 EDT
VirtualBox works fine - I've been using Alpha and daily spins on it since late April.
This bug is specific to VMware...
Comment 8 Jerry Amundson 2017-06-08 15:15 EDT
Created attachment 1286213 [details]
From video

Looks like a crash somewhere.
I'll see if I can get a better capture of it.
Comment 9 Zbigniew Jędrzejewski-Szmek 2017-06-08 15:43:36 EDT
Maybe you can just post the video if you have it?
Comment 10 Jerry Amundson 2017-06-08 17:40 EDT
Created attachment 1286246 [details]
Machine settings in VMware

I've narrowed it down to some VMware settings...
1 processor, 4 cores, 4 total cores : Works fine. Installer starts normally.
1 processor, 1 cores, 1 total cores : Fails badly, as described above.

So, I'm inclined to Close, unless someone wants more done with it.
Comment 11 Laura Abbott 2017-06-08 18:35:31 EDT
What kernel version is this running? F26 hasn't gotten an update thanks to the beta freeze so it's possible one of the stable updates might have fixed something. It would still be nice to see the full crash as well.
Comment 12 Jerry Amundson 2017-06-09 13:24:31 EDT
4.11.0-2 ...from the nightly development builds. 
I'll gather more info next time I get a chance.
Comment 13 Jerry Amundson 2017-06-22 18:11:46 EDT
https://www.youtube.com/watch?v=-EwkwXolxaU
It was too big to attach. I don't YouTube much, so if there's a way to download, I couldn't find it - I'm open to other video exchange methods if need be.
The VM in video is set to 1 processor, 2 cores per processor, 2 total processor cores. It's the Beta release of Fedora 26.
Comment 14 Zbigniew Jędrzejewski-Szmek 2017-06-22 18:22:35 EDT
youtube-dl https://www.youtube.com/watch?v=-EwkwXolxaU should work.

I don't see the oops from comment #c8 in the video. In the video just "rebuild hwdb" and "multipath daemon" crash. Are you sure it's the same problem?
Comment 15 Zbigniew Jędrzejewski-Szmek 2017-06-22 18:26:10 EDT
Anyway, there was a fix for udevd that went in to systemd-233-4.fc26 (built after F26 beta was released). It is possible that it'd help. So you might want to use a nightly image or wait for F26 final images to appear.
Comment 16 Laura Abbott 2018-02-27 22:44:04 EST
We apologize for the inconvenience.  There is a large number of bugs to go through and several of them have gone stale. The kernel moves very fast so bugs may get fixed as part of a kernel update. Due to this, we are doing a mass bug update across all of the Fedora 26 kernel bugs.
 
Fedora 26 has now been rebased to 4.15.4-200.fc26.  Please test this kernel update (or newer) and let us know if you issue has been resolved or if it is still present with the newer kernel.
 
If you have moved on to Fedora 27, and are still experiencing this issue, please change the version to Fedora 27.
 
If you experience different issues, please open a new bug report for those.
Comment 17 Fedora End Of Life 2018-05-03 04:16:51 EDT
This message is a reminder that Fedora 26 is nearing its end of life.
Approximately 4 (four) weeks from now Fedora will stop maintaining
and issuing updates for Fedora 26. It is Fedora's policy to close all
bug reports from releases that are no longer maintained. At that time
this bug will be closed as EOL if it remains open with a Fedora  'version'
of '26'.

Package Maintainer: If you wish for this bug to remain open because you
plan to fix it in a currently maintained version, simply change the 'version'
to a later Fedora version.

Thank you for reporting this issue and we are sorry that we were not
able to fix it before Fedora 26 is end of life. If you would still like
to see this bug fixed and are able to reproduce it against a later version
of Fedora, you are encouraged  change the 'version' to a later Fedora
version prior this bug is closed as described in the policy above.

Although we aim to fix as many bugs as possible during every release's
lifetime, sometimes those efforts are overtaken by events. Often a
more recent Fedora release includes newer upstream software that fixes
bugs or makes them obsolete.

Note You need to log in before you can comment on or make changes to this bug.